<?php


namespace App\Controllers;



use App\Models\CountryModel;

class Main extends BaseController
{

    private $db;

    public function __construct()
    {
//        $this->db = \Config\Database::connect();
//        $this->db = db_connect('tests');
        $this->db = new CountryModel();
    }

    public function index()
    {
        $data = [
            'title' => 'Главная страница',
        ];
        return view('main/index', $data);
    }

    public function test()
    {
        $rules = [
            'name' => 'required|min_length[6]',
            'email' => 'valid_email',
        ];
        $data = ['title' => 'Validation data'];
        if ($this->request->getMethod() == 'post') {
            if (!$this->validate($rules)) {
                $data['validation'] = $this->validator;
            } else {
                echo 'OK';
            }
//            d($this->request->getPost());
        }
        return view('main/test', $data);
    }

}