<?= $this->extend('layouts/main') ?>

<?= $this->section('content') ?>

<div class="container">
    <div class="row">
        <div class="col-12">
            <h1><?= $title ?? 'TITLE' ?></h1>

            <form action="<?= base_url('blog/store') ?>" method="post">
                <div class="mb-3">
                    <label for="title" class="form-label">Title</label>
                    <input type="text" name="title" class="form-control" id="title">
                </div>

                <div class="mb-3">
                    <label for="excerpt" class="form-label">Excerpt</label>
                    <input type="text" name="excerpt" class="form-control" id="excerpt">
                </div>

                <div class="mb-3">
                    <label for="content" class="form-label">Content</label>
                    <textarea class="form-control" name="content" id="content" rows="5"></textarea>
                </div>

                <button type="submit" class="btn btn-primary">Create post</button>
            </form>

        </div>
    </div>
</div>

<?= $this->endSection() ?>

